package com.qmth.cqb.paper.model;

import java.io.Serializable;

import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.DBRef;

import com.qmth.cqb.question.model.QuestionType;

public class PaperDetail implements Serializable {

	private static final long serialVersionUID = 6674961232283369404L; 
	
	@Id
	private String id;
	
	@DBRef
	private Paper paper;//关联的试卷
	
	private int number;//大题序号
	
	private String name;//大题名称
	
	@DBRef
	private QuestionType questionType;//大题类型
	
	private double score;//大题分数
	
	private int unitCount;//大题下的小题数量

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public Paper getPaper() {
		return paper;
	}

	public void setPaper(Paper paper) {
		this.paper = paper;
	}

	public int getNumber() {
		return number;
	}

	public void setNumber(int number) {
		this.number = number;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public QuestionType getQuesStructType() {
		return questionType;
	}

	public void setQuesStructType(QuestionType questionType) {
		this.questionType = questionType;
	}

	public double getScore() {
		return score;
	}

	public void setScore(double score) {
		this.score = score;
	}

	public int getUnitCount() {
		return unitCount;
	}

	public void setUnitCount(int unitCount) {
		this.unitCount = unitCount;
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}
	
	public PaperDetail(){
		
	}
	
	
}
