package com.qmth.cqb.paper.model;

import java.io.Serializable;

import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.DBRef;
import com.qmth.cqb.utils.enumeration.QuesStructType;

public class PaperDetailStructure implements Serializable{
	
	private static final long serialVersionUID = -1102384643351847702L;

	@Id
	private String id;
	
	@DBRef
	private PaperStructure paperStructure;//关联的试卷
	
	private int number;//大题序号
	
	private String name;//大题名称
	
	private QuesStructType structType;//大题类型
	
	private double totalScore;//大题分数
	
	private int questionCount;//大题下的小题数量
	
	private double[] questionScores;//大题下面小题分数

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public int getNumber() {
		return number;
	}

	public void setNumber(int number) {
		this.number = number;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public PaperStructure getPaperStructure() {
		return paperStructure;
	}

	public void setPaperStructure(PaperStructure paperStructure) {
		this.paperStructure = paperStructure;
	}

	public QuesStructType getStructType() {
		return structType;
	}

	public void setStructType(QuesStructType structType) {
		this.structType = structType;
	}

	public double getTotalScore() {
		return totalScore;
	}

	public void setTotalScore(double totalScore) {
		this.totalScore = totalScore;
	}

	public int getQuestionCount() {
		return questionCount;
	}

	public void setQuestionCount(int questionCount) {
		this.questionCount = questionCount;
	}

	public double[] getQuestionScores() {
		return questionScores;
	}

	public void setQuestionScores(double[] questionScores) {
		this.questionScores = questionScores;
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}
	
	
}
