package com.qmth.cqb.paper.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Example;
import org.springframework.stereotype.Service;

import com.qmth.cqb.paper.dao.PaperDetailRepo;
import com.qmth.cqb.paper.model.Paper;
import com.qmth.cqb.paper.model.PaperDetail;
import com.qmth.cqb.paper.model.PaperDetailUnit;

@Service
public class PaperDetailService {
	
	
	@Autowired
	PaperDetailRepo paperDetailRepo;
	
	@Autowired
	PaperDetailUnitService unitService;
	
	
	/**
	 * 根据Id获得对应所有小题
	 * @param id
	 * @return
	 */
	public List<PaperDetailUnit> getUnitsByPaperDetailId(String id){	
		return unitService.getUnitsByPaperDetail(paperDetailRepo.findOne(id));
	}
	
	
	
    /**
     * 按ID查询大题
     * @param id
     * @return
     */
    public PaperDetail findById(String id){
        return paperDetailRepo.findOne(id);
    }

    /**
     * 保存大题
     * @param PaperDetail
     * @return
     */
    public PaperDetail savePaperDetail(PaperDetail pd){
        PaperDetail paperDetail = paperDetailRepo.save(pd);
        return paperDetail;
    }

    /**
     * 删除大题
     * @param id
     * @return
     */
    public void deletePaperDetail(String id){
    	paperDetailRepo.delete(id);
    }
    
    /**
     * 查询同一个试卷对象对应大题
     * @param paperDetail
     * @return
     */
    public List<PaperDetail> getPaperDetailsByPaper(Paper paper){
    	PaperDetail pd = new PaperDetail();
    	pd.setPaper(paper);  	
    	List<PaperDetail> paperDetails = paperDetailRepo.findAll(Example.of(pd));
    	return paperDetails;
    }
}

