package com.qmth.cqb.paper.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Example;
import org.springframework.stereotype.Service;
import com.qmth.cqb.paper.dao.PaperDetailStructureRepo;
import com.qmth.cqb.paper.model.PaperDetailStructure;
import com.qmth.cqb.paper.model.PaperStructure;
/**
 * Created by songyue on 16/12/28.
 */
@Service
public class PaperDetailStructureService {
	
	@Autowired
	PaperDetailStructureRepo detailStructureRepo;
	
	

    /**
     * 按ID查询试卷结构明细
     * @param detailId
     * @return
     */
    public PaperDetailStructure findById(String detailId){
        return detailStructureRepo.findOne(detailId);
    }
    
    

    /**
     * 保存试卷结构明细
     * @param PaperDetailStructure
     * @return
     */
    public PaperDetailStructure savePaperStructureDetail(PaperDetailStructure pds){
    	PaperDetailStructure temp = detailStructureRepo.save(pds);
        return temp;
    }

    /**
     * 删除试卷结构明细
     * @param detailId
     * @return
     */
    public void deletePaperDetailStructure(String detailId){
    	detailStructureRepo.delete(detailId);
    }

    /**
     * 查询同一个试卷对象对应试卷结构明细
     * @param paperDetail
     * @return
     */
    public List<PaperDetailStructure> getDetailsByPaperStructure(PaperStructure paperStructure){
    	PaperDetailStructure pd = new PaperDetailStructure();
    	pd.setPaperStructure(paperStructure);  	
    	List<PaperDetailStructure> paperDetails = detailStructureRepo.findAll(Example.of(pd));
    	return paperDetails;
    }
}
