package com.qmth.cqb.paper.service;


import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.qmth.cqb.paper.dao.PaperStructureRepo;
import com.qmth.cqb.paper.model.PaperStructure;

/**
 * Created by songyue on 16/12/28.
 */
@Service
public class PaperStructureService {
	
	@Autowired
	PaperStructureRepo paperStructureRepo;
	

    /**
     * 按ID查询导入试卷
     * @param paperId
     * @return
     */
    public PaperStructure findById(String paperId){
        return paperStructureRepo.findOne(paperId);
    }

    /**
     * 保存试卷
     * @param importPaper
     * @return
     */
    public PaperStructure savePaperStructure(PaperStructure ps){
    	PaperStructure tempPaper = paperStructureRepo.save(ps);
        return tempPaper;
    }

    /**
     * 删除导入试卷
     * @param paperId
     * @return
     */
    public void deletePaperStructure(String paperId){
    	paperStructureRepo.delete(paperId);
    }
	


}
