package com.qmth.cqb.paper.web;

import com.qmth.cqb.paper.model.PaperDetailStructure;
import com.qmth.cqb.paper.service.PaperDetailStructureService;

import io.swagger.annotations.ApiOperation;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * Created by songyue on 16/12/28.
 */
@RestController
@RequestMapping("${api_cqb}/")
public class PaperDetailStructureController {
	@Autowired
	PaperDetailStructureService detailService;
	
	
	
	
   /**
    * 获取大题
    * @param id
    * @return
    */
   @ApiOperation(value="获取单个大题",notes="获取单个大题")
   @GetMapping(value = "/PaperDetailStructure/{detail_id}")
   public PaperDetailStructure getPaperDetailStructureById(@PathVariable String detail_id){
       return detailService.findById(detail_id);
   }


   /**
    * 更新大题信息
    * @param PaperDetailStructure
    * @return
    */
   @PutMapping(value = "/paperDetailStructure")
   public ResponseEntity updatePaperDetailStructure(@ModelAttribute PaperDetailStructure pd){
       PaperDetailStructure paperDetail = detailService.savePaperStructureDetail(pd);
       ResponseEntity rse = new ResponseEntity(paperDetail,HttpStatus.OK);
       return rse;
   	
   }

   /**
    * 新增大题
    * @param PaperDetailStructure
    * @return
    */
   @PostMapping(value = "/paperDetailStructure")
   public ResponseEntity addPaperDetailStructure(@ModelAttribute PaperDetailStructure pd){
     PaperDetailStructure paperDetail = detailService.savePaperStructureDetail(pd);
     ResponseEntity rse2 = new ResponseEntity(paperDetail,HttpStatus.OK);
     return rse2;
   }

   /**
    * 删除大题
    * @param id
    * @return
    */
   @DeleteMapping(value = "/paperDetailStructure/{detail_id}")
   public ResponseEntity removePaperDetailStructure(@PathVariable String detail_id){
   	detailService.deletePaperDetailStructure(detail_id);
   	ResponseEntity rse2 = new ResponseEntity(detail_id,HttpStatus.OK);
   	return rse2;
   }
	
}
