package com.qmth.cqb.question.model;

import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.index.Indexed;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * 试卷实体类
 * Created by songyue on 16/12/28.
 */
public class ImportPaper implements Serializable{
    private static final long serialVersionUID = -323432549247192327L;

    @Id
    private String id;

    @Indexed(unique = true)
    private String paperName;//试卷名称
    
    private String title;//试卷标题
    
    private double totalScore;//试卷总分

    private String createTime;//创建时间

    private String updateTime;//更新时间

    private String word;//原始试卷word

    private String html;//原始试卷html

    //private List<Question> questionList;//试卷中的所有试题,按顺序排列

    private Map<String,String> params;//导入试卷属性

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getPaperName() {
        return paperName;
    }

    public void setPaperName(String paperName) {
        this.paperName = paperName;
    }
    
    public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

    
    public double getTotalScore() {
		return totalScore;
	}

	public void setTotalScore(double totalScore) {
		this.totalScore = totalScore;
	}

	public String getWord() {
		return word;
	}

	public void setWord(String word) {
		this.word = word;
	}

	public String getHtml() {
		return html;
	}

	public void setHtml(String html) {
		this.html = html;
	}

	public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }
    
    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

	public Map<String, String> getParams() {
		return params;
	}

	public void setParams(Map<String, String> params) {
		this.params = params;
	}

	public ImportPaper() {
    }
}
