package com.qmth.cqb.question.web;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.google.gson.Gson;
import com.qmth.cqb.question.model.QuestionType;
import com.qmth.cqb.question.service.QuesStructTypeService;
import com.qmth.cqb.utils.modal.NormalResponse;
import com.qmth.cqb.utils.modal.PagingAndSortingResponse;

/**
 * Created by songyue on 16/12/29.
 */
@RestController
@RequestMapping("${api_cqb}/")
public class QuestionTypeController {
    @Autowired
    QuesStructTypeService quesStructTypeService;
      
    @Autowired
    Gson gson;


    /**
     * 获取试题结构类型
     * @param ques_id
     * @return
     */
    @GetMapping(value = "/quesStructType/{quesStype_id}")
    public QuestionType getQuesById(@PathVariable String quesStype_id){
        return quesStructTypeService.findById(quesStype_id);
    }

    /**
     * 获取全部试卷结构
     * @return
     */
    @GetMapping(value = "/quesStructType/all/{curPage}/{paseSize}")
    public PagingAndSortingResponse<QuestionType> getAllQuesStructType(@ModelAttribute QuestionType searchCondition, @PathVariable int curPage, @PathVariable int pageSize){
      PagingAndSortingResponse<QuestionType> psr = quesStructTypeService.findAll(searchCondition, curPage, pageSize);
      return psr;
    }

    /**
     * 更新试卷结构信息
     * @param 
     * @return
     */
    @PutMapping(value = "/quesStructType")
    public NormalResponse updateQuesStructType(@ModelAttribute QuestionType ques){
    	return quesStructTypeService.saveQuesStructType(ques);
    	
    }

    /**
     * 新增试卷结构
     * @param quesStype
     * @return
     */
    @PostMapping(value = "/quesStructType")
    public NormalResponse addQuesStructType(@ModelAttribute QuestionType quesStype){
    	return quesStructTypeService.saveQuesStructType(quesStype);
    }

    /**
     * 删除试卷结构
     * @param quesStype_id
     * @return
     */
    @DeleteMapping(value = "/quesStructType/{quesStype_id}")
    public NormalResponse removeQuesStructType(@PathVariable String quesStype_id){
    	return quesStructTypeService.deleteQuesStructType(quesStype_id);
    }
}
